/* -*- mode: C; c-file-style: "Stroustrup" -*-
 *
 * das08jr
 * =======
 *
 * Linux device driver for Computer Boards CIO-DAS08/Jr-AO board.
 *
 * This board has 8 analog input lines and 2 analog output lines. Additionally
 * there are 8 digital outputs.
 * These lines are mapped onto minor 0 (digital output), 1 - 8 for analog
 * input, and 1 + 2 for analog output.
 *
 * Copyright (C) 1998 Jochen Kpper
 */



#ifndef DAS08JR_H
#define DAS08JR_H



/* To specify additional port addresses to autoprobe you have to put them into
 * autoprobe_port in das08jr.c. */


/* Major Device Number
 * Any one out of the official areas for local / experimental use,
 * see file devices.txt in the kernel distributions documentation. */
#define DAS08JR_MAJOR ( 125 )



#endif
