#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <errno.h>
#include <math.h>

int main(void)
{
  int fd_ai0, fd_ao0;
  int bytesRead,bytesWritten;
  int count = 2;
//  unsigned short data[2048];
  unsigned short data[2];
  int outdat[1];
  int outdat_size = 1;
  int i;
  float voltage;
  float t;
  float period = 6.68e-5; //seconds  

/* ----------------------------------------- */
/*       Works for Digital Output Lines:     */
//  fd = open("/dev/das08jr_DO",O_WRONLY); 
/* ----------------------------------------- */

/* ----------------------------------------- */
/*       Works for Digital Input Lines:     */
//  fd = open("/dev/das08jr_DIO",O_RDONLY); 
/* ----------------------------------------- */

/* ----------------------------------------- */
/*       Works for Analog Input Lines:     */
  fd_ai0 = open("/dev/das08jr_AIO0",O_RDONLY); // = Mode 1 
  perror("errno ->:");
  printf("open returns: %i \n",fd_ai0);
/* ----------------------------------------- */


/* ----------------------------------------- */
/*       Works for Analog Output Lines:     */
  fd_ao0 = open("/dev/das08jr_AIO0",O_WRONLY); // = Mode 2 
  perror("errno ->:");
  printf("open returns: %i \n",fd_ao0);
/* ----------------------------------------- */


  if (1)
    {
    for (i=0;i<500000;i++)
      {
      // Read data from analog in
      bytesRead = read(fd_ai0, data, count);
      voltage = (( (float) data[0]/4095)*10-5);      
  //    printf("data[0]: %i Voltage: %.3f\n",data[0],voltage);

      // Write data to analog out
      t = i * period;
   //   outdat[0] = -1*data[0];
      outdat[0] = (int) (2048 * sin(data[0]*1*t) + 2048); 
      bytesWritten = write(fd_ao0, outdat, outdat_size);
      }
    }
 close(fd_ai0);  
 close(fd_ao0);  

return( 0 );

}
